[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator **(Tvector3_single, Tvector3_single): single

Calculate the internal product of two vectors.

## Declaration

Source position: matrix.pp line 396

`operator operator **(Tvector3_single, Tvector3_single): single(`
`const x: Tvector3_single;`
`const y: Tvector3_single`
`):single;`

## Description

This operator returns the internal product of the two vectors, that is, the elements of the two vectors are element-wise multiplied, and then added together.

Documentation generated on: Feb 26 2014